### A free/open-source library for quantitative finance

Public Member Functions | Friends
CommoditySettings Class Reference

global repository for run-time library settings More...

`#include <ql/experimental/commodities/commoditysettings.hpp>`

Inheritance diagram for CommoditySettings:
[legend]

List of all members.

## Public Member Functions

Currency & | currency ()
UnitOfMeasure & | unitOfMeasure ()

## Friends

class | Singleton< CommoditySettings >

## Detailed Description

global repository for run-time library settings